Skip to main content
`Ctrl`+`K`

# PEPSetWorkVecs

Sets a number of work vectors into a `PEP` object.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetWorkVecs(PEP pep,PetscInt nw)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- nw - number of work vectors to allocate

## Developer Note

This is `SLEPC_EXTERN` because it may be required by user plugin `PEP` implementations.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetUp()`

## Level

developer

## Location

src/pep/interface/pepdefault.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages